Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mwc.sqld
Class SQLParser

    java.lang.Object
      |
      +--com.mwc.sqld.SQLParser

All Implemented Interfaces:
  SQLParserConstants

public class SQLParser
extends java.lang.Object
implements SQLParserConstants

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`SQLParserTokenManager` | `token_source`

Fields inherited from interface com.mwc.sqld.SQLParserConstants
`ALL, AND, AS, ASC, ASSIGN, ASTERISK, BASE64, BEGIN, BETWEEN, BOOLEAN, BY, CHAR, CHARACTER, CLOSE, CLOSEDESCRIPTION, CLOSEPAREN, COMMENT_BLOCK, COMMENT_LINE, CONCAT, CONSTANT, CONVERT_TIMESTAMP_TO_DATE, COUNT, CREATE, CRYPT, CURRENT, CURSOR, DATABASE, DEFAULT, DELETE, DESC, DESCRIPTION, DESCRIPTION_START_STATE, DESCRIPTION_STATE, DIGIT, DISTINCT, DOT, ELSE, ELSIF, END, EOF, EQUAL, ERROR_DETAIL_DESCRIPTION, EXCEPTION, EXISTS, EXIT, EXPONENT, FALSE, FETCH, FILE_NAME_OF_ERROR_AREA, FLOATING_POINT_LITERAL, FOR, FORMAT_ATTRIBUTE_SUBSTRING, FORMAT_AUDIT_HEADER, FROM, GET, GET_CURRENT_TIMESTAMP, GREATER, GREATEREQUAL, GROUP, HAVING, ID, IF, IN, INDEX_BY, INSERT, INT, INTEGER, INTEGER_LITERAL, INTO, IS, IS_TABLE_OF, JCALL, JOINPLUS, KEY_IN_ERROR, LEFT, LENGTH, LESS, LESSEQUAL, LETTER, LIKE, LOOP, LPAD, LTRIM, MAX, MID, MIN, MINUS, NO_DATA_FOUND, NODULE, NOT, NOTEQUAL, NOTEQUAL2, NOTFOUND, NULL, NUMBER, OPEN, OPENDESCRIPTION, OPENPAREN, OR, ORDER, ORIGINPLUS, OTHERS, PLUS, PROCEDURE, QUESTIONMARK, RECORD, REPLACE, REPLY, REPLY_REPEATING_GROUP, REQUEST, RESULTS, RIGHT, ROW_NOT_FOUND, ROWTYPE, RTRIM, SELECT, SEMICOLON, SET, SET_ROW_NOT_FOUND, SETUPFATALERROR, SLASH, SMALLINT, SOUNDEX, SPACES, SQL_I_O_CORRECT, SQLCODE, STR_CONCAT, STRING_LITERAL, SUBSTR, SUBSTRING, SUM, TABLE, TABLE_STATUS, THEN, TILDE, TO_CHAR, TO_NUMBER, tokenImage, TRUE, TYPE, UNIQUE, UPDATE, UPPER, USER, VALUES, VARCHAR, VARCHAR2, WHEN, WHERE, WHILE, ZERO, ZEROS`

Constructor Summary
`SQLParser(java.io.InputStream stream)`
`SQLParser(java.io.Reader stream)`
`SQLParser(SQLParserTokenManager tm)`

Method Summary
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `OneStatement()`
`static void` | `parseStatement(java.lang.String statement, UserContext ctx)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(SQLParserTokenManager tm)`
`void` | `SQLAndExpr()` The PL-SQL grammar starts here
`void` | `SQLBetweenClause()`
`void` | `SQLColRef()`
`void` | `SQLCompareExpr()`
`void` | `SQLCompareExprRight()`
`java.lang.String` | `SQLCompareOp()`
`void` | `SQLCreateTable()`
`void` | `SQLCursorArgs()`
`void` | `SQLCursorClose()`
`void` | `SQLCursorDeclare()`
`void` | `SQLCursorFetch()`
`void` | `SQLCursorOpen()`
`java.lang.String` | `SQLDataType()`
`void` | `SQLDelete()`
`void` | `SQLExistsClause()`
`void` | `SQLFunction()`
`java.util.LinkedList` | `SQLFunctionArgs()`
`void` | `SQLGroupBy()`
`void` | `SQLInClause()`
`void` | `SQLInsert()`
`void` | `SQLIsClause()`
`void` | `SQLLeftJoinClause()`
`void` | `SQLLikeClause()`
`java.lang.String` | `SQLLiteral()`
`void` | `SQLLvalue()`
`void` | `SQLLValueElement()`
`void` | `SQLLValueList()`
`void` | `SQLLvalueTerm()`
`void` | `SQLNotExpr()`
`void` | `SQLOrderBy()`
`void` | `SQLOrderByElem()`
`void` | `SQLOrderByList()`
`void` | `SQLOrderDirection()`
`void` | `SQLOrExpr()`
`void` | `SQLPattern()`
`void` | `SQLProductExpr()`
`void` | `SQLRightJoinClause()`
`void` | `SQLSelect()`
`void` | `SQLSelectCols()`
`void` | `SQLSelectList()`
`void` | `SQLStatement()`
`void` | `SQLSumExpr()`
`java.util.LinkedList` | `SQLTableList()`
`java.lang.String` | `SQLTableRef()`
`void` | `SQLTerm()`
`void` | `SQLUnaryExpr()`
`void` | `SQLUpdate()`
`void` | `SQLUpdateAssignment()`
`void` | `SQLWhere()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public SQLParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### SQLParser

    public SQLParser(java.io.InputStream stream)

### SQLParser

    public SQLParser(java.io.Reader stream)

### SQLParser

    public SQLParser(SQLParserTokenManager tm)

Method Detail

### parseStatement

    public static void parseStatement(java.lang.String statement,
                                      UserContext ctx)
                               throws ParseException

### SQLAndExpr

    public final void SQLAndExpr()
                          throws ParseException

  The PL-SQL grammar starts here

### SQLBetweenClause

    public final void SQLBetweenClause()
                                throws ParseException

### SQLColRef

    public final void SQLColRef()
                         throws ParseException

### SQLCompareExpr

    public final void SQLCompareExpr()
                              throws ParseException

### SQLCompareExprRight

    public final void SQLCompareExprRight()
                                   throws ParseException

### SQLCompareOp

    public final java.lang.String SQLCompareOp()
                                        throws ParseException

### SQLCursorArgs

    public final void SQLCursorArgs()
                             throws ParseException

### SQLCursorClose

    public final void SQLCursorClose()
                              throws ParseException

### SQLCursorDeclare

    public final void SQLCursorDeclare()
                                throws ParseException

### SQLCursorFetch

    public final void SQLCursorFetch()
                              throws ParseException

### SQLCursorOpen

    public final void SQLCursorOpen()
                             throws ParseException

### SQLDataType

    public final java.lang.String SQLDataType()
                                       throws ParseException

### SQLDelete

    public final void SQLDelete()
                         throws ParseException

### SQLExistsClause

    public final void SQLExistsClause()
                               throws ParseException

### SQLFunction

    public final void SQLFunction()
                           throws ParseException

### SQLFunctionArgs

    public final java.util.LinkedList SQLFunctionArgs()
                                               throws ParseException

### SQLGroupBy

    public final void SQLGroupBy()
                          throws ParseException

### SQLInClause

    public final void SQLInClause()
                           throws ParseException

### SQLInsert

    public final void SQLInsert()
                         throws ParseException

### SQLIsClause

    public final void SQLIsClause()
                           throws ParseException

### SQLLeftJoinClause

    public final void SQLLeftJoinClause()
                                 throws ParseException

### SQLLikeClause

    public final void SQLLikeClause()
                             throws ParseException

### SQLLiteral

    public final java.lang.String SQLLiteral()
                                      throws ParseException

### SQLLvalue

    public final void SQLLvalue()
                         throws ParseException

### SQLLvalueTerm

    public final void SQLLvalueTerm()
                             throws ParseException

### SQLNotExpr

    public final void SQLNotExpr()
                          throws ParseException

### SQLOrderBy

    public final void SQLOrderBy()
                          throws ParseException

### SQLOrderByElem

    public final void SQLOrderByElem()
                              throws ParseException

### SQLOrderByList

    public final void SQLOrderByList()
                              throws ParseException

### SQLOrderDirection

    public final void SQLOrderDirection()
                                 throws ParseException

### SQLOrExpr

    public final void SQLOrExpr()
                         throws ParseException

### SQLPattern

    public final void SQLPattern()
                          throws ParseException

### SQLProductExpr

    public final void SQLProductExpr()
                              throws ParseException

### SQLRightJoinClause

    public final void SQLRightJoinClause()
                                  throws ParseException

### SQLSelect

    public final void SQLSelect()
                         throws ParseException

### SQLSelectCols

    public final void SQLSelectCols()
                             throws ParseException

### SQLSelectList

    public final void SQLSelectList()
                             throws ParseException

### OneStatement

    public final void OneStatement()
                            throws ParseException

### SQLStatement

    public final void SQLStatement()
                            throws ParseException

### SQLCreateTable

    public final void SQLCreateTable()
                              throws ParseException

### SQLSumExpr

    public final void SQLSumExpr()
                          throws ParseException

### SQLTableList

    public final java.util.LinkedList SQLTableList()
                                            throws ParseException

### SQLTableRef

    public final java.lang.String SQLTableRef()
                                       throws ParseException

### SQLTerm

    public final void SQLTerm()
                       throws ParseException

### SQLUnaryExpr

    public final void SQLUnaryExpr()
                            throws ParseException

### SQLUpdate

    public final void SQLUpdate()
                         throws ParseException

### SQLUpdateAssignment

    public final void SQLUpdateAssignment()
                                   throws ParseException

### SQLLValueElement

    public final void SQLLValueElement()
                                throws ParseException

### SQLLValueList

    public final void SQLLValueList()
                             throws ParseException

### SQLWhere

    public final void SQLWhere()
                        throws ParseException

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(SQLParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD